Subject: Re: [ifwp] RE: FYI -- First draft IETF/IANA contract (fwd)

From: jeff Williams <[email-masked]>
Date: Fri, 18 Dec 1998 18:03:50 +0000

Karl and all,

  The old IANA or the ICANN is not in any position currently to refuse
any port request regardless of whence it came in the present situation
given the advent of the White Paper.  To do so would be in violation of
the principals of the White Paper verbatim.

  The IETF presently in in a state of limbo with respect to protocol
standards since the White Paper was published in part, unless the
NTIA has avowed otherwise.  If it has there is on specific public
statement to our knowledge that the NTIA has made to this effect.
And in fact the IETF has always had to ask for different port assignments
from the IANA in the past, under the old regime and didn't always
get one when it did request one.  I know this from working on the TLS
stuff, for example.

Karl Auerbach wrote:

> > > Under RFC2434 that discretion does not exist.
> >
> > Excuse me? Nowhere in 2434 does it state (or imply) that the IANA is
> > obligated to say "yes" to all requests. Indeed, the point of 2434 is
> > to provide technical input to IANA so that they indeed say "yes" only
> > when it make sense to do so!
>
> You need to it while holding RFC2026 in the other hand.
>
> Under RFC2026, which defines the process of standardization, there is no
> reference to any steps of the form:
>
>         Ask IANA for a number;
>         Did IANA refuse?
>
> In other words, there is nothing in the standardization process to allow
> IANA to refuse.
>
> When one couples that with the fact that RFC2434 has no way in an "IANA
> Considerations" section to express what happens should IANA say "no" the
> conclusion is pretty clear -- IANA has no discretion to refuse to provide
> a number to a standards track protocol.
>
> It is clear from the IETF's own procedures that IANA has no veto over IETF
> standards by virtue of a power to withhold a number assignment.
>
> In the context of non-standards making there are no clearly articulated,
> objective, fairly applied standards for evaluating requests.  Without
> such, any rejection of a request for a number could readily result in the
> IETF failing to be immune to anti-trust considerations or could risk any
> tax-exempt status.
>
>                 --karl--
>
> __________________________________________________
> To receive the digest version instead, send a
> blank email to [email-masked]
>
> To SUBSCRIBE forward this message to:
> [email-masked]
>
> To UNSUBSCRIBE, forward this message to:
> [email-masked]
>
> Problems/suggestions regarding this list? Email [email-masked].
> ___END____________________________________________

Regards,

--
Jeffrey A. Williams
CEO/DIR. Internet Network Eng/SR. Java/CORBA Development Eng.
Information Network Eng. Group. INEG. INC.
E-Mail [email-masked]
Contact Number:  972-447-1894
Address: 5 East Kirkwood Blvd. Grapevine Texas 75208

---

From: jeff Williams <[email-masked]>
Date: Fri, 18 Dec 1998 18:03:50 +0000

Karl and all,

Regards,